### Hierarchy

- CryptoUtils

## Index

### Methods

- PBKDF2
- decryptAes256
- encryptAes256
- keccak256
- sha384

## Methods

### Static PBKDF2

- PBKDF2(password: string, keySize: number): string

- - Defined in utils/CryptoUtils.ts:29

  #### Parameters

  - ##### password: string

  - ##### keySize: number

  #### Returns string

### Static decryptAes256

- decryptAes256(ciphertext: string, pass: string): string

- - Defined in utils/CryptoUtils.ts:23

  #### Parameters

  - ##### ciphertext: string

  - ##### pass: string

  #### Returns string

### Static encryptAes256

- encryptAes256(message: string, pass: string): string

- - Defined in utils/CryptoUtils.ts:17

  #### Parameters

  - ##### message: string

  - ##### pass: string

  #### Returns string

### Static keccak256

- keccak256(message: string): string

- - Defined in utils/CryptoUtils.ts:5

  #### Parameters

  - ##### message: string

  #### Returns string

### Static sha384

- sha384(message: string): string

- - Defined in utils/CryptoUtils.ts:11

  #### Parameters

  - ##### message: string

  #### Returns string

Generated using TypeDoc